Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.widget.netvibes.provider
Class NetvibesProvider

    java.lang.Object
      org.jboss.portal.widget.AbstractWidgetProvider
          org.jboss.portal.widget.netvibes.provider.NetvibesProvider

All Implemented Interfaces:
  WidgetProvider

    public class NetvibesProvider

extends AbstractWidgetProvider

Version:
  $Revision$
Author:
  Emanuel Muckenhuber

Field Summary

Fields inherited from class org.jboss.portal.widget.AbstractWidgetProvider
`connectionTimeout, entries, entryExpiration, executor, queries, queryExpiration, scheduledExecutor, timing`

Constructor Summary
`NetvibesProvider()`

Method Summary
`protected void` | `addDirectoryResult(WidgetQuery query)` Abstract method for adding a directory query and submitting to the executor
`protected void` | `addWidget(java.net.URL url)` Abstract method for adding a widget url and submitting it to the executor
`java.util.Collection` | `getCategories()`

Methods inherited from class org.jboss.portal.widget.AbstractWidgetProvider
`getConnectionTimeout, getWidget, getWidget, search, setConnectionTimeout, setEntryExpiration, setFetchWidgetsOnDirectoryLookup, setQueryExpiration, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NetvibesProvider

    public NetvibesProvider()

Method Detail

### getCategories

    public java.util.Collection getCategories()

### addDirectoryResult

    protected void addDirectoryResult(WidgetQuery query)

  Description copied from class: `AbstractWidgetProvider`
  Abstract method for adding a directory query and submitting to the executor

  Specified by:
    `addDirectoryResult` in class `AbstractWidgetProvider`

### addWidget

    protected void addWidget(java.net.URL url)

  Description copied from class: `AbstractWidgetProvider`
  Abstract method for adding a widget url and submitting it to the executor

  Specified by:
    `addWidget` in class `AbstractWidgetProvider`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD